librime: rime::TranslatorOptions Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::TranslatorOptions Class Reference

`#include <translator_commons.h>`

Inheritance diagram for rime::TranslatorOptions:
[legend]
Collaboration diagram for rime::TranslatorOptions:
[legend]

## Public Member Functions
| TranslatorOptions (const Ticket &ticket)
bool | IsUserDictDisabledFor (const string &input) const
const string & | delimiters () const
vector< string > | tags () const
void | set_tags (const vector< string > &tags)
const string & | tag () const
void | set_tag (const string &tag)
bool | contextual_suggestions () const
void | set_contextual_suggestions (bool enabled)
bool | enable_completion () const
void | set_enable_completion (bool enabled)
bool | strict_spelling () const
void | set_strict_spelling (bool is_strict)
double | initial_quality () const
void | set_initial_quality (double quality)
Projection & | preedit_formatter ()
Projection & | comment_formatter ()
const hash_set< string > & | blacklist ()

## Protected Attributes
string | delimiters_
vector< string > | tags_ {"abc"}
bool | contextual_suggestions_ = false
bool | enable_completion_ = true
bool | strict_spelling_ = false
double | initial_quality_ = 0.
int | max_sentences_ = 1
double | sentence_cutoff_threshold_ = 0.1
Projection | preedit_formatter_
Projection | comment_formatter_
Patterns | user_dict_disabling_patterns_
hash_set< string > | blacklist_

## Constructor & Destructor Documentation

## ◆ TranslatorOptions()

rime::TranslatorOptions::TranslatorOptions | ( | const Ticket & | ticket | ) |

## Member Function Documentation

## ◆ blacklist()

const hash_set< string > & rime::TranslatorOptions::blacklist | ( |  | ) |
| inline

## ◆ comment_formatter()

Projection & rime::TranslatorOptions::comment_formatter | ( |  | ) |
| inline

## ◆ contextual_suggestions()

bool rime::TranslatorOptions::contextual_suggestions | ( |  | ) | const
| inline

## ◆ delimiters()

const string & rime::TranslatorOptions::delimiters | ( |  | ) | const
| inline

## ◆ enable_completion()

bool rime::TranslatorOptions::enable_completion | ( |  | ) | const
| inline

## ◆ initial_quality()

double rime::TranslatorOptions::initial_quality | ( |  | ) | const
| inline

## ◆ IsUserDictDisabledFor()

bool rime::TranslatorOptions::IsUserDictDisabledFor | ( | const string & | input | ) | const

## ◆ preedit_formatter()

Projection & rime::TranslatorOptions::preedit_formatter | ( |  | ) |
| inline

## ◆ set_contextual_suggestions()

void rime::TranslatorOptions::set_contextual_suggestions | ( | bool | enabled | ) |
| inline

## ◆ set_enable_completion()

void rime::TranslatorOptions::set_enable_completion | ( | bool | enabled | ) |
| inline

## ◆ set_initial_quality()

void rime::TranslatorOptions::set_initial_quality | ( | double | quality | ) |
| inline

## ◆ set_strict_spelling()

void rime::TranslatorOptions::set_strict_spelling | ( | bool | is_strict | ) |
| inline

## ◆ set_tag()

void rime::TranslatorOptions::set_tag | ( | const string & | tag | ) |
| inline

## ◆ set_tags()

void rime::TranslatorOptions::set_tags | ( | const vector< string > & | tags | ) |
| inline

## ◆ strict_spelling()

bool rime::TranslatorOptions::strict_spelling | ( |  | ) | const
| inline

## ◆ tag()

const string & rime::TranslatorOptions::tag | ( |  | ) | const
| inline

## ◆ tags()

vector< string > rime::TranslatorOptions::tags | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ blacklist_

hash_set<string> rime::TranslatorOptions::blacklist_
| protected

## ◆ comment_formatter_

Projection rime::TranslatorOptions::comment_formatter_
| protected

## ◆ contextual_suggestions_

bool rime::TranslatorOptions::contextual_suggestions_ = false
| protected

## ◆ delimiters_

string rime::TranslatorOptions::delimiters_
| protected

## ◆ enable_completion_

bool rime::TranslatorOptions::enable_completion_ = true
| protected

## ◆ initial_quality_

double rime::TranslatorOptions::initial_quality_ = 0.
| protected

## ◆ max_sentences_

int rime::TranslatorOptions::max_sentences_ = 1
| protected

## ◆ preedit_formatter_

Projection rime::TranslatorOptions::preedit_formatter_
| protected

## ◆ sentence_cutoff_threshold_

double rime::TranslatorOptions::sentence_cutoff_threshold_ = 0.1
| protected

## ◆ strict_spelling_

bool rime::TranslatorOptions::strict_spelling_ = false
| protected

## ◆ tags_

vector<string> rime::TranslatorOptions::tags_ {"abc"}
| protected

## ◆ user_dict_disabling_patterns_

Patterns rime::TranslatorOptions::user_dict_disabling_patterns_
| protected

The documentation for this class was generated from the following files:

- translator_commons.h
- translator_commons.cc